Bug 151047 - Pass CPP to CONFIGURE_ENV and MAKE_ENV in Mk/bsd.port.mk
Pass CPP to CONFIGURE_ENV and MAKE_ENV in Mk/bsd.port.mk
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Any Any
: Normal Affects Only Me
Assigned To: portmgr
Depends on:
  Show dependency treegraph
Reported: 2010-09-29 05:20 UTC by gerald
Modified: 2010-10-25 19:40 UTC (History)
0 users

See Also:

file.diff (1.07 KB, patch)
2010-09-29 05:20 UTC, gerald
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description gerald 2010-09-29 05:20:01 UTC
	Right now the Ports Collection machinery passes CC and CXX and
	their flags as part of CONFIGURE_ENV and MAKE_ENV, alas not CPP
	which very well may depend on the compiler chosen.  And indeed
	Mk/bsd.gcc.mk now sets CPP properly in the case of USE_GCC.

Fix: The patch below should address this by adding CPP in both
	places.  To make the two invocations symmetric, the order
	of variables in the former now matches the one of the latter.
Comment 1 Edwin Groothuis freebsd_committer 2010-09-29 05:20:12 UTC
Responsible Changed
From-To: freebsd-ports-bugs->portmgr

bsd.port.mk is portmgr territory (via the GNATS Auto Assign Tool)
Comment 2 Erwin Lansing freebsd_committer 2010-10-13 11:55:40 UTC
State Changed
From-To: open->analyzed

Take for -exp run
Comment 3 dfilter freebsd_committer 2010-10-25 19:37:02 UTC
erwin       2010-10-25 18:36:56 UTC

  FreeBSD ports repository

  Modified files:
    Mk                   bsd.port.mk 
  - Pass CPP to CONFIGURE_ENV and MAKE_ENV [1]
  - fix fetch-required-list output [2]
  PR:             151047 [1],
                  145955 [2]
  Submitted by:   gerald [1],
                  Martin Simmons <martin@lispworks.com> [2]
  Revision  Changes    Path
  1.651     +5 -4      ports/Mk/bsd.port.mk
cvs-all@freebsd.org mailing list
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Erwin Lansing freebsd_committer 2010-10-25 19:37:30 UTC
State Changed
From-To: analyzed->closed

Committed, thanks!